Summary: pam module to provide a complete SGE environment inside a qrsh session
Name: sge-sshd-control
Version: 1.2
Release: 1
License: GPL
Group: System Environment/Base
Source0: %{name}-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package provides a pam module which is able to establish the whole SGE
environment inside a qrsh session.

%prep
%setup -q

%build

gcc -Wall -o pam_sge-qrsh-setup.so -shared -fPIC pam_sge-qrsh-setup.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 pam_sge-qrsh-setup.so $RPM_BUILD_ROOT/%{_lib}/security/pam_sge-qrsh-setup.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README rshd-wrapper
/%{_lib}/security/*.so

%changelog
* Tue May 08 2007 Andreas Haupt <andreas.haupt@desy.de> 1.2-1
- just do something if flag PAM_REINITIALIZE_CRED is set
- be more flexible in finding the prepared rshd-wrapper file

* Thu Mar 15 2007 Gtz Waschk <goetz.waschk@desy.de> 1.1-1
- new version that builds on SL5

* Tue Aug 15 2006 Andreas Haupt <andreas.haupt@desy.de> 1.0-1
- initial build
